<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.system.model.SystemDictList" table="system_dict_list">
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="dictName" type="java.lang.String">
            <column name="dict_name" length="50" not-null="true">
                <comment>字典名称(唯一索引)</comment>
            </column>
        </property>
        <property name="chineseName" type="java.lang.String">
            <column name="chinese_name" length="50" not-null="true">
                <comment>中文名称</comment>
            </column>
        </property>
        <property name="pyCode" type="java.lang.String">
            <column name="py_code" length="50">
                <comment>拼音码</comment>
            </column>
        </property>
        <property name="pid" type="java.lang.String">
            <column name="pid" length="50" not-null="true">
                <comment>父级id(默认#)</comment>
            </column>
        </property>
        <property name="remark" type="java.lang.String">
            <column name="remark" length="200">
                <comment>说明</comment>
            </column>
        </property>
        <property name="relationTable" type="java.lang.String">
            <column name="relation_table" length="50">
                <comment>关联表</comment>
            </column>
        </property>
        <property name="relationColCode" type="java.lang.String">
            <column name="relation_col_code" length="50">
                <comment>关联表的代码字段</comment>
            </column>
        </property>
        <property name="relationColValue" type="java.lang.String">
            <column name="relation_col_value" length="50">
                <comment>关联表的值字段</comment>
            </column>
        </property>
        <property name="relationColExtend" type="java.lang.String">
            <column name="relation_col_extend" length="50">
                <comment>关联表的扩展字段</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
